# 7. Update Blog Post https://dev-musiccast.odoo.com/json/2/blog.post/write POST https://graph.facebook.com/json/2/blog.post/write Content-Type: application/json Reference: https://docs.deao.dev/cloudflare/social-post-workflow/7-update-blog-post-https-dev-musiccast-odoo-com-json-2-blog-post-write ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /json/2/blog.post/write: post: operationId: 7-update-blog-post-https-dev-musiccast-odoo-com-json-2-blog-post-write summary: >- 7. Update Blog Post https://dev-musiccast.odoo.com/json/2/blog.post/write tags: - subpackage_socialPostWorkflow responses: '200': description: Successful response content: application/json: schema: $ref: >- #/components/schemas/Social Post Workflow_7. Update Blog Post https://dev-musiccast.odoo.com/json/2/blog.post/write_Response_200 requestBody: content: application/json: schema: type: string servers: - url: https://graph.facebook.com - url: https://www.youtube.com - url: https://youtube-video-summarizer-gpt-ai.p.rapidapi.com - url: https://api.cloudflare.com - url: https://dev-musiccast.odoo.com - url: https://api.search.brave.com - url: https://og-image-generator-dev.deao.workers.dev - url: https://musiccast.odoo.com - url: https://m.musicca.st - url: https://api.stripe.com - url: https://api.kie.ai - url: https://api.pexels.com - url: https://api.shotstack.io - url: https://oauth2.googleapis.com - url: https://www.googleapis.com - url: https://api.linkedin.com - url: https://www.linkedin.com - url: https://rupload.facebook.com - url: https://api.x.com - url: https://open.tiktokapis.com - url: https://open-upload-sg.tiktokapis.com - url: https://social-media-posting-dev.deao.workers.dev components: schemas: Social Post Workflow_7. Update Blog Post https://dev-musiccast.odoo.com/json/2/blog.post/write_Response_200: type: object properties: {} description: Empty response body title: >- Social Post Workflow_7. Update Blog Post https://dev-musiccast.odoo.com/json/2/blog.post/write_Response_200 ``` ## SDK Code Examples ```python import requests url = "https://graph.facebook.com/json/2/blog.post/write" payload = "{ \"ids\": [ 62 // id from incoming webhook json ], \"vals\": { \"website_meta_og_img\": \"/web/image/{{$step4.id[0]}}\", \"cover_properties\": \"{\n \\"background-image\\": \\"url(\\\\"{{$data[0].results[0].thumbnail.src}}\\\\")\\",\n \\"resize_class\\": \\"o_half_screen_height o_record_has_cover\\",\n \\"text_align_class\\": \\"\\",\n \\"opacity\\": \\"0.6\\",\n \\"background_color_class\\": \\"o_cc o_cc4\\",\n \\"background_color_style\\": \\"\\"\n}\", \"is_published\": true } }" headers = {"Content-Type": "application/json"} response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://graph.facebook.com/json/2/blog.post/write'; const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '"{\n \"ids\": [\n 62 // id from incoming webhook json\n ],\n \"vals\": {\n \"website_meta_og_img\": \"/web/image/{{$step4.id[0]}}\",\n \"cover_properties\": \"{\\n \\\"background-image\\\": \\\"url(\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\")\\\",\\n \\\"resize_class\\\": \\\"o_half_screen_height o_record_has_cover\\\",\\n \\\"text_align_class\\\": \\\"\\\",\\n \\\"opacity\\\": \\\"0.6\\\",\\n \\\"background_color_class\\\": \\\"o_cc o_cc4\\\",\\n \\\"background_color_style\\\": \\\"\\\"\\n}\",\n \n \"is_published\": true\n }\n}"' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://graph.facebook.com/json/2/blog.post/write" payload := strings.NewReader("\"{\\n \\\"ids\\\": [\\n 62 // id from incoming webhook json\\n ],\\n \\\"vals\\\": {\\n \\\"website_meta_og_img\\\": \\\"/web/image/{{$step4.id[0]}}\\\",\\n \\\"cover_properties\\\": \\\"{\\\\n \\\\\\\"background-image\\\\\\\": \\\\\\\"url(\\\\\\\\\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\\\\\\\\\")\\\\\\\",\\\\n \\\\\\\"resize_class\\\\\\\": \\\\\\\"o_half_screen_height o_record_has_cover\\\\\\\",\\\\n \\\\\\\"text_align_class\\\\\\\": \\\\\\\"\\\\\\\",\\\\n \\\\\\\"opacity\\\\\\\": \\\\\\\"0.6\\\\\\\",\\\\n \\\\\\\"background_color_class\\\\\\\": \\\\\\\"o_cc o_cc4\\\\\\\",\\\\n \\\\\\\"background_color_style\\\\\\\": \\\\\\\"\\\\\\\"\\\\n}\\\",\\n \\n \\\"is_published\\\": true\\n }\\n}\"") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://graph.facebook.com/json/2/blog.post/write") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Content-Type"] = 'application/json' request.body = "\"{\\n \\\"ids\\\": [\\n 62 // id from incoming webhook json\\n ],\\n \\\"vals\\\": {\\n \\\"website_meta_og_img\\\": \\\"/web/image/{{$step4.id[0]}}\\\",\\n \\\"cover_properties\\\": \\\"{\\\\n \\\\\\\"background-image\\\\\\\": \\\\\\\"url(\\\\\\\\\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\\\\\\\\\")\\\\\\\",\\\\n \\\\\\\"resize_class\\\\\\\": \\\\\\\"o_half_screen_height o_record_has_cover\\\\\\\",\\\\n \\\\\\\"text_align_class\\\\\\\": \\\\\\\"\\\\\\\",\\\\n \\\\\\\"opacity\\\\\\\": \\\\\\\"0.6\\\\\\\",\\\\n \\\\\\\"background_color_class\\\\\\\": \\\\\\\"o_cc o_cc4\\\\\\\",\\\\n \\\\\\\"background_color_style\\\\\\\": \\\\\\\"\\\\\\\"\\\\n}\\\",\\n \\n \\\"is_published\\\": true\\n }\\n}\"" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://graph.facebook.com/json/2/blog.post/write") .header("Content-Type", "application/json") .body("\"{\\n \\\"ids\\\": [\\n 62 // id from incoming webhook json\\n ],\\n \\\"vals\\\": {\\n \\\"website_meta_og_img\\\": \\\"/web/image/{{$step4.id[0]}}\\\",\\n \\\"cover_properties\\\": \\\"{\\\\n \\\\\\\"background-image\\\\\\\": \\\\\\\"url(\\\\\\\\\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\\\\\\\\\")\\\\\\\",\\\\n \\\\\\\"resize_class\\\\\\\": \\\\\\\"o_half_screen_height o_record_has_cover\\\\\\\",\\\\n \\\\\\\"text_align_class\\\\\\\": \\\\\\\"\\\\\\\",\\\\n \\\\\\\"opacity\\\\\\\": \\\\\\\"0.6\\\\\\\",\\\\n \\\\\\\"background_color_class\\\\\\\": \\\\\\\"o_cc o_cc4\\\\\\\",\\\\n \\\\\\\"background_color_style\\\\\\\": \\\\\\\"\\\\\\\"\\\\n}\\\",\\n \\n \\\"is_published\\\": true\\n }\\n}\"") .asString(); ``` ```php request('POST', 'https://graph.facebook.com/json/2/blog.post/write', [ 'body' => '"{\\n \\"ids\\": [\\n 62 // id from incoming webhook json\\n ],\\n \\"vals\\": {\\n \\"website_meta_og_img\\": \\"/web/image/{{$step4.id[0]}}\\",\\n \\"cover_properties\\": \\"{\\\\n \\\\\\"background-image\\\\\\": \\\\\\"url(\\\\\\\\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\\\\\\\\")\\\\\\",\\\\n \\\\\\"resize_class\\\\\\": \\\\\\"o_half_screen_height o_record_has_cover\\\\\\",\\\\n \\\\\\"text_align_class\\\\\\": \\\\\\"\\\\\\",\\\\n \\\\\\"opacity\\\\\\": \\\\\\"0.6\\\\\\",\\\\n \\\\\\"background_color_class\\\\\\": \\\\\\"o_cc o_cc4\\\\\\",\\\\n \\\\\\"background_color_style\\\\\\": \\\\\\"\\\\\\"\\\\n}\\",\\n \\n \\"is_published\\": true\\n }\\n}"', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://graph.facebook.com/json/2/blog.post/write"); var request = new RestRequest(Method.POST); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "\"{\\n \\\"ids\\\": [\\n 62 // id from incoming webhook json\\n ],\\n \\\"vals\\\": {\\n \\\"website_meta_og_img\\\": \\\"/web/image/{{$step4.id[0]}}\\\",\\n \\\"cover_properties\\\": \\\"{\\\\n \\\\\\\"background-image\\\\\\\": \\\\\\\"url(\\\\\\\\\\\\\\\"{{$data[0].results[0].thumbnail.src}}\\\\\\\\\\\\\\\")\\\\\\\",\\\\n \\\\\\\"resize_class\\\\\\\": \\\\\\\"o_half_screen_height o_record_has_cover\\\\\\\",\\\\n \\\\\\\"text_align_class\\\\\\\": \\\\\\\"\\\\\\\",\\\\n \\\\\\\"opacity\\\\\\\": \\\\\\\"0.6\\\\\\\",\\\\n \\\\\\\"background_color_class\\\\\\\": \\\\\\\"o_cc o_cc4\\\\\\\",\\\\n \\\\\\\"background_color_style\\\\\\\": \\\\\\\"\\\\\\\"\\\\n}\\\",\\n \\n \\\"is_published\\\": true\\n }\\n}\"", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Content-Type": "application/json"] let parameters = "{ \"ids\": [ 62 // id from incoming webhook json ], \"vals\": { \"website_meta_og_img\": \"/web/image/{{$step4.id[0]}}\", \"cover_properties\": \"{\n \\"background-image\\": \\"url(\\\\"{{$data[0].results[0].thumbnail.src}}\\\\")\\",\n \\"resize_class\\": \\"o_half_screen_height o_record_has_cover\\",\n \\"text_align_class\\": \\"\\",\n \\"opacity\\": \\"0.6\\",\n \\"background_color_class\\": \\"o_cc o_cc4\\",\n \\"background_color_style\\": \\"\\"\n}\", \"is_published\": true } }" as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://graph.facebook.com/json/2/blog.post/write")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```